@basic-padding: 20px;
@basic-height: 40px;
@basic-margin: 10px;
@md-size: 200px;

.borderd-block {
  height: @basic-height;
  line-height: $height;
  border: 1px solid #808080;
  background: #fff;
}

.split-words {
  span {
    &:extend(.borderd-block);
    display: inline-block;
    width: @basic-height;
    margin: @basic-margin/2;
    font-size: 20px;
    vertical-align: middle;
  }
}

.button {
  &:extend(.borderd-block);
  color: #fff;
  width: @md-size;
  border-color: #828282;
  margin: @basic-margin;
  &.green {
    background: #7db84c;
  }
  &.pink {
    background: #ef8785;
  }
  &.blue {
    background: blue;
  }
  &[disabled] {
    background: gray;
  }
}
.input {
  &:extend(.borderd-block);
  width: @md-size;
  margin: @basic-margin;
}

main {
  height: 100vh;
  display: flex;
  .block {
    text-align: center;
    padding: @basic-padding;
    h2 {
      color: #2b3441;
      text-align: initial;
    }
  }
  & > section {
    flex: 1;
  }
  .playing-panel {
    width: 65%;
    display: flex;
    flex-direction: column;
    & > section {
      flex: 1;
    }
    section.result {
      background: #b3d5b1;
    }
    section.guess {
      background: #b1c0fa;
    }
  }
  .control-panel {
    background: #fffec6;
  }
}
